Bug 14227 - CTDB has some IPv6 issues
CTDB has some IPv6 issues
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.10.11
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-01-01 02:55 UTC by Martin Schwenke
Modified: 2020-01-15 09:31 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.11, 4.10 (4.44 KB, patch)
2020-01-07 03:22 UTC, Martin Schwenke
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2020-01-01 02:55:20 UTC
ss(8), which is used by CTDB for gathering TCP connection info, added square brackets around IPv6 addresses in versions > 4.12.0 via commit aba9c23a6e1cb134840c998df14888dca469a485.  This has broken CTDB's NFS connection tracking.  CentOS 7 added this feature somewhere mid-release so a backward compatible fix is needed.

Additionally, the following tests fail when run on IPv6 addresses:

  ctdb/tests/CLUSTER/complex/60_rogueip_releaseip.sh
  ctdb/tests/CLUSTER/complex/61_rogueip_takeip.sh
Comment 1 Martin Schwenke 2020-01-07 03:22:51 UTC
Created attachment 15721 [details]
Patch for 4.11, 4.10
Comment 2 Amitay Isaacs 2020-01-07 03:37:28 UTC
Hi Karolin,

This is ready for v4-10 and v4-11.

Thanks.
Comment 3 Karolin Seeger 2020-01-14 08:30:29 UTC
(In reply to Amitay Isaacs from comment #2)
Pushed to autobuild-v4-{11,10}-test.
Comment 4 Karolin Seeger 2020-01-15 09:31:34 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to both branches.
Closing out bug report.

Thanks!